Bug 1285592 - cant copy from browser
cant copy from browser
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-25 19:40 EST by Richard Jasmin
Modified: 2015-12-17 14:44 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-17 14:44:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sample recipe (954 bytes, text/plain)
2015-11-25 19:40 EST, Richard Jasmin
no flags Details

  None (edit)
Description Richard Jasmin 2015-11-25 19:40:50 EST
Created attachment 1099041 [details]
sample recipe

Description of problem:
when trying to copy paste an instructable[to edit it], office crashes.I wound up having to use wps suite instead.

This caused a massive lockup behind the scenes.App apparently restores itself on login, even though x does not want to kill it, and times out doing so. Any attempts to relaunch the app fail, as its master process is still running.

whacking the offending app (soffice.bin) with killall respawns the app (and any attempts to open it) as if nothing happened.

DO NOT RESTORE the corruption.Asking for trouble.

meanwhile the app wants 200%? of cpu power? Is 'top' smoking something?
Give me 200% of 5Ghz on 8 cores...anyone.....? No, the fan is not spinning at mach 50.

Version-Release number of selected component (if applicable):
22

How reproducible:
intermittently, this has happened from other websites also.Reported with debian beta (with plain text recipe) but alas, they are ignoring me again.

Apparently, this is a copy buffer glitch somewhere. 

Steps to Reproduce:
1.copy copious amounts of anything (from browser or another document)
2. watch the app crash and burn

Actual results:
!!!!

Expected results:
This should not be.Any copy buffer should be supported by available ram and swap, and temp space, when needed.And how hard is OLE, really? Shouldnt we be using the system clip buffer and/or shm areas?

Seriously!! How hard is this?

buffer1:=buffer2;
malloc()
free()
...

Additional info:
bug filed thru debian system as frazzledjazz@gmail.com

original bug was with copious amounts of recipe text.Saving in ascii mode instead of utf8 seems to have little effect but some other apps complain if this is not done.
Comment 1 Caolan McNamara 2015-11-26 07:59:54 EST
"Reported with debian beta (with plain text recipe)" You are using Fedora 22 right, it just also happens for you on a different Debian install ?

Doesn't happen for me with a select, e.g. all the contents of this bugzilla page, and paste it into writer a bunch of times under GNOME3 with libreoffice-writer-4.4.5.2-8.fc22

Please give a short concise route to reproduce without the hyperbole.
Comment 2 David Tardon 2015-11-26 08:25:38 EST
So, in a screenful of text, only 2 lines are relevant to the problem and the rest is a meaningless rant... Anyway, I cannot reproduce this. I tried with a part of the ODF 1.2 spec--I assume ~850 pages of text with lots of tables and images qualifies as "copious amount of anything".

What desktop are you using? If it's KDE, do you have libreoffice-kde installed? If it's Gnome shell, do you have libreoffice-gtk3 installed? What does "copious amount" mean--is there a web page or document with which the problem is reproducible?
Comment 3 Richard Jasmin 2015-12-17 13:00:42 EST
I would assume so.
Hell no to gnome3 or anything it uses, but I cannot remove parts of it.Seems mate depends on somethings.Gnome3 is too easy to break for starters.

I would assume that, yes the kde package is installed but Im not IN KDE. I was in MATE. Im in LXDE now. That shouldnt matter.

I believe an instructable, as mentioned above.If I didnt mention, that was the latest crash point on en-mass copy.Try some with a youtube video in them.Sorry I dont have the exact link at hand.

#1: its not hyperbole. It exists beyond Fedora in the upstream code somewhere. I can reproduce the bug across linux distributions.

If you'd like to edit a 100+ MB file of combined recipes, I would be more than happy to attach a bunch of em.

The bug started with the plain text(yes, I know there are a few UTF conversion errors or such with the text, its exported from the days of dos when we didnt know about UTF. The farenheit ascii is one example. You just cant en-mass add recipes to gourmet, this issue is very apparent when you try.It is exactly what is causing gourmet to crash on import(amongst the poorly added BBS code shoved in there).

I was trying to fix this import issue and clean-up what I had after a reg-ex scan of the combined recipes that I had at the time.The reg-ex scan was supposed to remove non-alphabetic characters.You have to add back the colons or gourmet wont import the recipes as such.I was trying to make the file smaller at the time I kept tripping the issue.

But it trips on webpage copy as well.
Comment 4 Michael Stahl 2015-12-17 14:44:32 EST
Please provide the exact steps to reproduce the problem you are seeing the next time you reopen this bug. Thanks.

Note You need to log in before you can comment on or make changes to this bug.